Skip to navigation

search.content

Search a bucket, group or document for information relevant to a query. Use result.search.text as context for a language model and result.search.results for matching text and citations.

Authentication

X-API-Keystring
API Key authentication via header

Path parameters

idinteger or stringRequired
The bucketId, groupId, or documentId to be searched. The document or documents within the specified container will be compared to the query, and relevant information will be extracted.

Query parameters

nintegerOptional1-100Defaults to 20

The maximum number of returned search results. Accepts 1-100 with a default of 20.

nextTokenstringOptional
Pass nextToken from the previous response to get the next page of up to n search results.
verbosityintegerOptional0-2

Response detail: 0 returns only recommended context; 1 adds search results without searchData; 2 includes searchData.

Request

This endpoint expects an object.
querystringRequiredDefaults to my search query
Search query.
filterobjectOptional

Key-value metadata used to filter documents before searching.

relevancedoubleOptionalDefaults to 10
The minimum search relevance score required to include the result. By default, this is 10.0.

Response

Search query success
searchobject

Errors

400
Bad Request Error
401
Unauthorized Error